Skip to Content
veriom

Compare environments

GET
/v1/workspaces/{workspace_id}/services/{service_id}/environment-comparison

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
service_id*Service Id
Formatuuid

Query Parameters

baseline?Baseline
Length1 <= length <= 100
Default"staging"
candidate?Candidate
Length1 <= length <= 100
Default"production"

Response Body

Successful Response

application/json
  1. response
baseline*|null
baseline_environment*Baseline Environment
candidate*|null
candidate_environment*Candidate Environment
commit*Commit
Value in"matching""different""unknown"
configuration*Configuration
Value in"matching""different""unknown"
image*Image
Value in"matching""different""unknown"
limitations*array<string>
resource_difference*array<string>
service_id*Service Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment-comparison'
Example Response
{  "baseline": {    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",    "branch_ref": "string",    "commit_sha": "string",    "confidence_basis": "string",    "configuration_sha256": "string",    "content_sha256": "string",    "environment": "string",    "evidence_ids": [      "string"    ],    "evidence_snapshot": [      {}    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image_digest": "string",    "observed_at": "2019-08-24T14:15:22Z",    "received_at": "2019-08-24T14:15:22Z",    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",    "resource_keys": [      "string"    ],    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "source_event_id": "string",    "source_kind": "string",    "source_ref": "string",    "stale": false  },  "baseline_environment": "string",  "candidate": {    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",    "branch_ref": "string",    "commit_sha": "string",    "confidence_basis": "string",    "configuration_sha256": "string",    "content_sha256": "string",    "environment": "string",    "evidence_ids": [      "string"    ],    "evidence_snapshot": [      {}    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image_digest": "string",    "observed_at": "2019-08-24T14:15:22Z",    "received_at": "2019-08-24T14:15:22Z",    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",    "resource_keys": [      "string"    ],    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "source_event_id": "string",    "source_kind": "string",    "source_ref": "string",    "stale": false  },  "candidate_environment": "string",  "commit": "matching",  "configuration": "matching",  "image": "matching",  "limitations": [    "string"  ],  "resource_difference": [    "string"  ],  "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0"}